function NB_WB_spectra_GUI25
% Modifiable runGUI file
clc;
clear all;

%USER - ENTER FILENAME
fileName = 'NB_WB_spectra.mat';   
fileData=load(fileName);
temp=fileData(1).temp;

f = figure('Visible','on',...
'Units','normalized',...
'Position',[0,0,1,1],...
'MenuBar','none',...
'NumberTitle','off');

% %SENSE COMPUTER AND SET FILE DELIMITER
% switch(computer)				
%     case 'MACI64',		char= '/';
%     case 'GLNX86',  char='/';
%     case 'PCWIN',	char= '\';
%     case 'PCWIN64', char='\';
%     case 'GLNXA64', char='/';
% end

% % find speech files directory by going up one level and down one level
% % on the directory chain; as follows:
%     dir_cur=pwd; % this is the current Matlab exercise directory path 
%     s=regexp(dir_cur,char); % find the last '\' for the current directory
%     s1=s(length(s)); % find last '\' character; this marks upper level directory
%     dir_fin=strcat(dir_cur(1:s1),'speech_files'); % create new directory
%     start_path=dir_fin; % save new directory for speech files location

Callbacks_NB_WB_spectra_GUI25(f,temp);    %USER - ENTER PROPER CALLBACK FILE
%panelAndButtonEdit(f, temp);       % Easy access to Edit Mode

% Note comment PanelandBUttonCallbacks(f,temp) if panelAndButtonEdit is to
% be uncommented and used
end

% GUI for multiple spectra (WB/NB)
% 2 Panels
%   #1 - data/parameters
%   #2 - graphics
% 4 Graphics Panels
%   #1 - long time region of speech signal
%   #2 - local region of speech for NB and WB analysis
%   #3 - STFT on linear magnitude scale for NB and WB analysis
%   #4 - STFT of log magnitude scale for NB and WB analysis
% 1 titlebox
%   9 buttons
%   #1 - pushbutton - Speech Directory
%   #2 - popupmenu - Speech Files
%   #3 - popupmenu - window type
%   #4 - editable button - ss: starting sample in file for analysis
%   #5 - editable button - LWB: length of window (msec) for WB analysis
%   #6 - editable button - LNB: length of window (nsec) for NB analysis
%   #7 - editable button - fs: sampling rate of STFT processing
%   #8 - pushbutton - Run Multiple Spectra
%   #9 - pushbutton - Close GUI